"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@graphql-toolkit/common");
const graphql_1 = require("graphql");
exports.filterKind = (content, filterKinds) => {
    if (content && filterKinds && filterKinds.length > 0) {
        if (content.definitions.length > 0) {
            const invalidDefinitions = [];
            const validDefinitions = [];
            for (const definitionNode of content.definitions) {
                if (filterKinds.includes(definitionNode.kind)) {
                    invalidDefinitions.push(definitionNode);
                }
                else {
                    validDefinitions.push(definitionNode);
                }
            }
            if (invalidDefinitions.length > 0) {
                invalidDefinitions.forEach(d => {
                    common_1.debugLog(`Filtered document of kind ${d.kind} due to filter policy (${filterKinds.join(', ')})`);
                });
            }
            return {
                kind: graphql_1.Kind.DOCUMENT,
                definitions: validDefinitions,
            };
        }
    }
    return content;
};
//# sourceMappingURL=filter-document-kind.js.map